%%
% aim is going to the position given in the coordinate system
% the output is given as the phi which is the angle vt makes 
% with the x-axis its region and its length. 
% also the motor speeds showed as motor1= ...

alpha = 30/180*pi;
beta =  150/180*pi;
gamma = 270/180*pi;

F1 = [-1 0]'; % pi , 180 degrees
F2 = [1/2 -sqrt(3)/2]'; % 300 degrees , 5/3 pi
F3 = [1/2  sqrt(3)/2]'; % 1/3 pi , 60 degrees

hold on;
axis on;
axis equal;
grid on;



% input should be given to the specified position 
% in the coordinate system
x = 3;
y = 4;

% tan is defined on between 0 and pi

if ( x > 0 ) % in the position x-axis
    phi= atan(y/x)* 180 /pi
elseif ( x < 0 ) % in the negative x-axis
    phi= atan(y/x)* 180 /pi + 180
end



if ( phi < 30 && phi > -90 )
    region= 3
    phi = phi/180*pi;
    c1 = (cos(phi) * sin(gamma) - sin(phi) * cos(gamma)) / (cos(alpha) * sin(gamma) -  sin(alpha) * cos(gamma));
    
    c3 = (cos(phi) * sin(alpha) - sin(phi) * cos(alpha)) / ( cos(gamma) * sin(alpha) - sin(gamma) * cos(alpha));
    
    vt =-c1* F1 + c3* F2 + (c1-c3)* F3 ;
     vt_lenght= sqrt((vt(1)*vt(1)) + (vt(2)* vt(2)))
    
    motor1 = (-c1)
    motor2 = c3
    motor3 = (c1-c3)
    plot([0 vt(1)] ,[0 vt(2)],'r-')
    
elseif (phi >30 && phi < 150)
    region = 1
     phi = phi/180*pi;
    c1 = (cos(phi) * sin(beta) - sin(phi) * cos(beta)) / (cos(alpha) * sin(beta) -sin(alpha) * cos(beta));
    
    c2 = (cos(phi) * sin(alpha) - sin(phi) * cos(alpha)) / (cos(beta) * sin(alpha) - sin(beta) * cos(alpha));
   
    vt=(c2 - c1)* F1 - c2*F2 + c1 *F3 ;
    vt_lenght= sqrt((vt(1)*vt(1)) + (vt(2)* vt(2)))
    motor1 =(c2 - c1)
    motor2 = (-c2)
    motor3 = c1
    plot([0 vt(1)] ,[0 vt(2)],'r-')
else
    region = 2
     phi = phi/180*pi;
    c2 = (cos(phi) * sin(gamma) - sin(phi) * cos(gamma)) / (cos(beta) * sin(gamma) -  sin(beta) * cos(gamma));
    
    c3 = (cos(phi) * sin(beta) - sin(phi) * cos(beta)) / ( cos(gamma) * sin(beta) - sin(gamma) * cos(beta));
   
    vt =c2 * F1 + (c3- c2)* F2 - c3 * F3 ;
    vt_lenght= sqrt((vt(1)*vt(1)) + (vt(2)* vt(2)))
    motor1 = c2
    motor2 = (c3- c2)
    motor3 = (-c3)
    plot([0 vt(1)] ,[0 vt(2)],'r-')
end
